#include <bits/stdc++.h>

using namespace std;
int manjiNiz(int niz1[],int niz2[],int n)
{
    for(int i=0;i<n-1;i++)
    {
        if(niz1[i]<niz2[i]) return 1;
        if(niz1[i]>niz2[i]) return 2;
    }
    return 1;
}
int main()
{
    int n,k;
    cin>>n>>k;
    if(k==1 && n<=400)
    {


        int a[n],mini[n-1];
        for(int i=0;i<n;i++)
        {
            cin>>a[i];
            if(i!=0) mini[i-1]=a[i];
        }

        int pom[n-1];
        for(int i=1;i<n;i++)
        {
            for(int j=0;j<n;j++)
            {

                if(j<i) pom[j]=a[j];
                if(j>i) pom[j-1]=a[j];
            }

            if(manjiNiz(mini,pom,n)==2)
            {
                for(int j=0;j<n-1;j++)
                    mini[j]=pom[j];
            }
        }
        for(int i=0;i<n-1;i++) cout<<mini[i]<<" ";
    }
    else
    {

       int a[n-k];
       int jed=0,x,j=0;
       for(int i=0;i<n;i++)
       {
           if(j>=n-k) break;
           cin>>x;
           if(x==0 || jed>=k)
           {
               a[j]=x;
               j++;
           }
           if(x==1) jed++;
       }
       for(int i=0;i<n-k;i++)
       {
           cout<<a[i]<<" ";
       }
    }
    return 0;
}